## tinysnmp 0.6.2

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = .

# subdirectories (leave as is if there is no subdirectories)
DIR = debian agent modules manager tools

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

.PHONY:: debian

install::
	$(INSTALL) -d $(libdir)
	$(INSTALL) -d $(bindir)
	$(INSTALL) -d $(sbindir)
	for F in $(shell find include/tinysnmp -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F/include\///}; done

uninstall::
	$(RM) -r $(includedir)/tinysnmp

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

distclean::
	$(RM) {configure,build}-stamp
	$(RM) debian/*.{debhelper,substvars} debian/{substvars,files,*~}
	$(RM) -r debian/{tinysnmp-{dev,manager-dev,agent-dev,tools,agent,module-{mib2,traffic,resources}},tmp,trafficd}
	find . -name "*~" -exec $(RM) {} \;
	find . -name ".index" -exec $(RM) {} \;

=== agent/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDFLAGS = -rdynamic -Wl,-export-dynamic
LDLIBS = -ldebug -labz -lber -levent

ifeq ($(shell uname -s),Linux)
LDLIBS += -ldl
endif	# ifeq ($(shell uname -s),Linux)

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = cmdline.o config.o agent.o	\
	module.o snmp.o network.o		\
	odb.o main.o

# program name (leave as is if there is no program)
PRG = tinysnmpd

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(sbindir)
	$(INSTALL) -c -m 0755 $(PRG) $(sbindir)
	$(INSTALL) -d $(sysconfdir)
	$(INSTALL) -c -m 0644 tinysnmp.conf $(sysconfdir)/tinysnmp.conf
	$(INSTALL) -d $(mandir)/man8
	$(INSTALL) -c -m 0644 $(PRG).8 $(mandir)/man8
	gzip -9 $(mandir)/man8/$(PRG).8
	$(INSTALL) -d $(mandir)/man5
	$(INSTALL) -c -m 0644 tinysnmp.conf.5 $(mandir)/man5
	gzip -9 $(mandir)/man5/tinysnmp.conf.5
	$(INSTALL) -d $(mandir)/man3
	$(INSTALL) -c -m 0644 tinysnmp-modules.3 $(mandir)/man3
	gzip -9 $(mandir)/man3/tinysnmp-modules.3

uninstall::
	$(RM) $(sbindir)/$(PRG)
	$(RM) $(sysconfdir)/tinysnmp.conf
	$(RM) $(mandir)/man8/$(PRG).8.gz
	$(RM) $(mandir)/man5/tinysnmp.conf.5.gz
	$(RM) $(mandir)/man3/tinysnmp-modules.3.gz

=== manager/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = udp.o snmp.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = libmanager.a

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)
	$(INSTALL) -c -m 0644 $(LIB) $(libdir)

uninstall::
	$(RM) $(libdir)/$(LIB)

=== modules/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR = resources test

ifeq ($(shell uname -s),Linux)
DIR += mib-2
endif	# ifeq ($(shell uname -s),Linux)

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

=== modules/mib-2/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = proc.o update.o system.o interfaces.o main.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = lib_mib2.so

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)/tinysnmp
	$(INSTALL) -c -m 0755 $(LIB) $(libdir)/tinysnmp

uninstall::
	$(RM) $(libdir)/tinysnmp/$(LIB)

=== modules/resources/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = main.o

ifeq ($(shell uname -s),Linux)
OBJ += meminfo_linux.o
endif	# ifeq ($(shell uname -s),Linux)

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = lib_resources.so

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)/tinysnmp
	$(INSTALL) -c -m 0755 $(LIB) $(libdir)/tinysnmp
	$(INSTALL) -d $(datadir)/tinysnmp/mibs
	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/FROGFOOT-RESOURCES-MIB.txt $(datadir)/tinysnmp/mibs

uninstall::
	$(RM) $(libdir)/tinysnmp/$(LIB)
	$(RM) $(datadir)/tinysnmp/mibs/FROGFOOT-RESOURCES-MIB.txt

=== modules/test/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = main.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = lib_test.so

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

=== tools/snmp/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDFLAGS = -L$(TOPDIR)/manager
LDLIBS = -ldebug -labz -lber -lmanager

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = show.o main.o

# program name (leave as is if there is no program)
PRG = tinysnmpget

# symlinks
LNK = tinysnmpgetnext tinysnmpwalk tinysnmptable

# man pages
MAN = tinysnmpget.1 tinysnmpgetnext.1 tinysnmptable.1 tinysnmpwalk.1

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

$(LNK): $(PRG)
	ln -sf $^ $@

install:: all $(LNK)
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 0755 $(PRG) $(LNK) $(bindir)
	$(INSTALL) -d $(mandir)/man1
	set -e; for F in $(MAN); do $(INSTALL) -c -m 0644 $$F $(mandir)/man1; gzip -9 $(mandir)/man1/$$F; done

uninstall::
	$(RM) $(bindir)/$(PRG)
	set -e; for F in $(LNK); do $(RM) $(bindir)/$$F; done
	set -e; for F in $(MAN); do $(RM) $(mandir)/man1/$$F.gz; done

clean::
	$(RM) $(LNK)

all:: $(LNK)

=== debian/changelog ===
tinysnmp (0.6.2) unstable; urgency=low

  * Minor bugfix in makeoid output.
  * Link to new libevent library.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 13 Dec 2003 12:02:48 +0200

tinysnmp (0.6.1) unstable; urgency=low

  * Complete rewrite of agent. The agent now uses libevent and should
    be much faster.
  * New Cisco-like configuration file format and all the modules share the
    same configuration file as the agent.
  * New plugin library API.
  * Removed traffic modules and daemons. MIB has to be redesigned and
    reimplemented.
  * Lots of compatibility fixes/updates (Closes: #218352, #221414, #223221)
  * Better documentation.
  * Pipe stderr to /dev/null in logrotate script (Closes: #221857)

 -- Abraham vd Merwe <abz@debian.org>  Thu, 11 Dec 2003 23:39:12 +0200

tinysnmp (0.5.6) unstable; urgency=low

  * Updated dependencies (Closes: #214560)

 -- Abraham vd Merwe <abz@debian.org>  Sat,  7 Oct 2003 19:28:21 +0200

tinysnmp (0.5.5) unstable; urgency=low

  * Added empty strings in mib2.conf (Closes: #211509)
  * Updated resources mib.

 -- Abraham vd Merwe <abz@debian.org>  Sat,  4 Oct 2003 15:26:05 +0200

tinysnmp (0.5.4) unstable; urgency=low

  * Fixed buffer overflow in snmp_open() (Thanks Fredrick).

 -- Abraham vd Merwe <abz@debian.org>  Fri,  3 Oct 2003 15:27:34 +0200

tinysnmp (0.5.3) unstable; urgency=low

  * Removed defaults from mib2.conf (Closes: #211509)
  * Implemented sysUpTime in mib2 module (Closes: #211507)
  * Replaced network_t with 'struct network'

 -- Abraham vd Merwe <abz@debian.org>  Thu,  2 Oct 2003 17:23:25 +0200

tinysnmp (0.5.2) unstable; urgency=low

  * Changed tinysnmpwalk to terminate walk at end of
    subtree (Closes: #197697)

 -- Abraham vd Merwe <abz@debian.org>  Sun, 22 Jun 2003 17:53:54 +0200

tinysnmp (0.5.1) unstable; urgency=low

  * Compile static libraries with -fPIC (Closes: #188922)
  * Minor bugfix in snmp manager library.
  * Added max-rows option to snmp_get_table().
  * snmp_table_t now contains the ObjectID's of each row.
  * Fixed Frogfoot MIBs (thanks to smilint).

 -- Abraham vd Merwe <abz@debian.org>  Mon, 16 Jun 2003 20:27:10 +0200

tinysnmp (0.4.4) unstable; urgency=low

  * Fixed illegal free in mib-2 module.
  * Only allow localhost to connect to server by default (Closes: #179762)
  * Made package debian policy 3.5.8 compliant.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  4 Feb 2003 14:15:57 +0200

tinysnmp (0.4.3) unstable; urgency=low

  * Added libabz0-dev to build dependencies (Closes: #172268, #172270)

 -- Abraham vd Merwe <abz@debian.org>  Mon,  9 Dec 2002 01:22:04 +0200

tinysnmp (0.4.2) unstable; urgency=low

  * Moved all generic stuff into libabz.
  * Don't build shlibs with non-PIC code (Closes: #152455)

 -- Abraham vd Merwe <abz@debian.org>  Sun,  8 Dec 2002 00:48:54 +0200

tinysnmp (0.4.1) unstable; urgency=low

  * Changed manager interface. I'm still not happy with the new
    interface, but it's definitely better than the old one.
  * Added snmp_get_table() for querying tables of entries.
  * Made tinysnmp{!get} utilities symlinks to tinysnmpget (which
    is what it should've been in the first place).
  * Some minor bugfixes.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 10 Aug 2002 22:27:01 +0200

tinysnmp (0.3.2) unstable; urgency=low

  * Added FAQ to agent package.
  * Fixed some typos in previous changelog entry.

 -- Abraham vd Merwe <abz@debian.org>  Fri,  9 Aug 2002 11:17:51 +0200

tinysnmp (0.3.1) unstable; urgency=low

  * Yet another module interface change. This time I added support
    for configuration files for each module.
  * Allow sysContact and sysLocation to be set in the configuration
    file of the mib-2 module.
  * Moved all the generic code to a lib directory which compiles as
    a static library (avoids code duplication).
  * Started implementing frogfoot MIBs. This is definitely a work
    in progress. So far implemented modules include the traffic
    monitoring module and part of the resources module.
  * Added Linux 2.2.x compatibility flags - it seems there are people
    who actually still use 2.2.x kernels.
  * Ported tinysnmp to FreeBSD (mib-2 module currently only works
    in Linux).
  * Compile object files with -fPIC as well when compiling shared
    libraries (Closes: #152455).
  * Fixed init.d stop bug.

 -- Abraham vd Merwe <abz@debian.org>  Thu,  8 Aug 2002 23:26:11 +0200

tinysnmp (0.2.1) unstable; urgency=low

  * Finished agent. It is now somewhat functional/usable, but there's
    still quite a bit of polishing to do.
  * Implemented IpAddress type.
  * Changed API to allow 8-bit OCTET STRING strings. Now why didn't I
    do that in the first place :P
  * Implemented mib-2 system module partially.
  * Completely rewrote Makefiles. Now uses central rule system and
    configuration files.
  * Wrote helper utility to convert ObjectID strings to numeric ones.
  * New module interface for agent.
  * Packaged mib-2 module.
  * Changed copyright notices to reflect my new preferred email address.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 22 Jun 2002 17:36:10 +0200

tinysnmp (0.1.1) unstable; urgency=low

  * Finished agent (compiles, but not functional yet).
  * New module interface for agent.
  * Fixed naming bug in tinysnmp utilities and ported to new debug library.
  * Implemented mib-2 interfaces module.
  * Moved headers to include/tinysnmp
  * Removed shared library dependencies from control file (they're
    generated automatically be debhelper scripts).

 -- Abraham vd Merwe <abz@debian.org>  Sat,  8 Jun 2002 20:56:47 +0200

tinysnmp (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Apr 2002 21:27:19 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: tinysnmp
Section: net
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libevent-dev, libdebug0-dev (>= 0.3.2), libber0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4)
Standards-Version: 3.5.8

Package: tinysnmp-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, libdebug0-dev (>= 0.3.2), libber0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4)
Suggests: tinysnmp-manager-dev (>= 0.6.1), tinysnmp-agent-dev (>= 0.6.1)
Description: Files needed for developing TinySNMP programs and plugins
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains files needed if you wish to use the tinysnmp
 libraries in your own programs.

Package: tinysnmp-manager-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, tinysnmp-dev (>= 0.6.1)
Suggests: tinysnmp-agent-dev (>= 0.6.1), tinysnmp-tools (>= 0.6.1)
Description: Libraries and header files for developing TinySNMP programs
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains files needed if you wish to create manager software
 that use the tinysnmp implementation.

Package: tinysnmp-tools
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Suggests: tinysnmp-agent (>= 0.6.1)
Description: TinySNMP Utilities
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains implementations of the popular SNMP utilities found
 in many SNMP implementations. This includes tinysnmpget, tinysnmpgetnext,
 and tinysnmpwalk.

Package: tinysnmp-agent-dev
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, tinysnmp-dev (>= 0.6.1)
Suggests: tinysnmp-manager-dev (>= 0.6.1), tinysnmp-agent (>= 0.6.1), tinysnmp-tools (>= 0.6.1)
Description: Libraries and header files for developing TinySNMP plugins
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains files needed if you wish to create agent modules
 for the tinysnmp agent.

Package: tinysnmp-agent
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Suggests: tinysnmp-module-mib2 (>= 0.6.1), tinysnmp-module-resources (>= 0.6.1), tinysnmp-tools (>= 0.6.1)
Description: A lightweight SNMPv1 implementation
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains the tinysnmp agent daemon.

Package: tinysnmp-module-mib2
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (>= 0.6.1)
Suggests: tinysnmp-tools (>= 0.6.1)
Description: MIB-2 (RFC 1450) plugin for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains partial support for SNMPv2 MIB as described
 in RFC 1450.

Package: tinysnmp-module-resources
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (>= 0.6.1)
Suggests: tinysnmp-tools (>= 0.6.1)
Description: Frogfoot Networks Resources MIB plugin for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains support for Frogfoot Networks Resources MIB.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean
	rm -f $(CURDIR)/debian/{build,configure}-stamp
	rm -rf $(CURDIR)/debian/libconfig-dev $(CURDIR)/debian/libconfig $(CURDIR)/debian/tmp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_movefiles -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_movefiles -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_installchangelogs -a
	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmpgetnext
	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmpwalk
	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmptable
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tinysnmp 0.8.3

=== debian/changelog ===
tinysnmp (0.8.3) unstable; urgency=low

  * Fixed command-line parser bug in tinysnmp{get,set,walk}.

 -- Abraham vd Merwe <abz@debian.org>  Thu,  6 Oct 2004 18:18:52 +0200

tinysnmp (0.8.2) unstable; urgency=low

  * Fixed timing bug in synchronous manager routines
  * Added support for 2.6.x in resources module
  * Updated dependencies

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Sep 2004 10:34:12 +0200

tinysnmp (0.8.1) unstable; urgency=low

  * Added Sensors MIB.
  * Added support for DVB Receiver cards in Linux.
  * New module interface. OIDs now removed automatically prior
    to calling update functions, sysORID's now point to conformance
    information, not mib objects.
  * New asynchronous manager library.
  * Use syslog instead of own log file.

 -- Abraham vd Merwe <abz@debian.org>  Fri,  6 Aug 2004 12:51:27 +0200

tinysnmp (0.7.1) unstable; urgency=low

  * Fixed bug in module parsing.
  * Yet another module interface change.
  * Added support for RFC-1628 UPS mib (using apcupsd).
  * Now have fully SNMPv2 compliant mib support.
  * Include all necessary mibs with agent/modules.

 -- Abraham vd Merwe <abz@debian.org>  Thu, 22 Jul 2004 01:09:55 +0200

tinysnmp (0.6.3) unstable; urgency=low

  * Updated Debian policy version
  * Implemented storage, load sections of resources mib.
  * Removed traffic mib.
  * Updated resources mib.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 17 Jul 2004 18:17:51 +0200

## tinysnmp 0.8.4

=== agent/Makefile ===
--- 
+++ 
@@ -42,9 +42,9 @@
 DIR =
 
 # names of object files
-OBJ = cmdline.o config.o agent.o	\
-	module.o snmp.o network.o		\
-	odb.o main.o
+OBJ = cmdline.o config.o agent.o module.o	\
+	snmp.o network.o odb.o module-snmp.o	\
+	module-system.o main.o
 
 # program name (leave as is if there is no program)
 PRG = tinysnmpd
@@ -71,6 +71,11 @@
 	$(INSTALL) -d $(mandir)/man3
 	$(INSTALL) -c -m 0644 tinysnmp-modules.3 $(mandir)/man3
 	gzip -9 $(mandir)/man3/tinysnmp-modules.3
+	$(INSTALL) -d $(datadir)/tinysnmp/mibs
+	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/SNMPv2-SMI.txt $(datadir)/tinysnmp/mibs
+	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/SNMPv2-TC.txt $(datadir)/tinysnmp/mibs
+	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/SNMPv2-CONF.txt $(datadir)/tinysnmp/mibs
+	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/SNMPv2-MIB.txt $(datadir)/tinysnmp/mibs
 
 uninstall::
 	$(RM) $(sbindir)/$(PRG)
@@ -78,4 +83,8 @@
 	$(RM) $(mandir)/man8/$(PRG).8.gz
 	$(RM) $(mandir)/man5/tinysnmp.conf.5.gz
 	$(RM) $(mandir)/man3/tinysnmp-modules.3.gz
+	$(RM) $(datadir)/tinysnmp/SNMPv2-SMI.txt
+	$(RM) $(datadir)/tinysnmp/SNMPv2-TC.txt
+	$(RM) $(datadir)/tinysnmp/SNMPv2-CONF.txt
+	$(RM) $(datadir)/tinysnmp/SNMPv2-MIB.txt

=== debian/changelog ===
tinysnmp (0.8.4) unstable; urgency=low

  * Compile with -O0 instead of -Os on sparc64 (Closes: #282260)
  * Link against latest libevent1

 -- Abraham vd Merwe <abz@debian.org>  Wed,  9 Feb 2005 17:50:15 +0200

=== debian/control ===
Source: tinysnmp
Section: net
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libevent-dev, libdebug0-dev (>= 0.4.2), libber0-dev (>= 0.4.1), libabz0-dev (>= 0.4.6), pentanet-dev
Standards-Version: 3.6.1

Package: tinysnmp-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, libdebug0-dev (>= 0.4.2), libber0-dev (>= 0.4.1), libabz0-dev (>= 0.4.6)
Suggests: tinysnmp-manager-dev (= ${Source-Version}), tinysnmp-agent-dev (= ${Source-Version})
Description: Files needed for developing TinySNMP programs and plugins
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains files needed if you wish to use the tinysnmp
 libraries in your own programs.

Package: tinysnmp-manager-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, tinysnmp-dev (= ${Source-Version})
Suggests: tinysnmp-agent-dev (= ${Source-Version}), tinysnmp-tools (= ${Source-Version})
Description: Libraries and header files for developing TinySNMP programs
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains files needed if you wish to create manager software
 that use the tinysnmp implementation.

Package: tinysnmp-tools
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Suggests: tinysnmp-agent (= ${Source-Version})
Description: TinySNMP Utilities
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains implementations of the popular SNMP utilities found
 in many SNMP implementations. This includes tinysnmpget, tinysnmpgetnext,
 and tinysnmpwalk.

Package: tinysnmp-agent-dev
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, tinysnmp-dev (= ${Source-Version})
Suggests: tinysnmp-manager-dev (= ${Source-Version}), tinysnmp-agent (= ${Source-Version}), tinysnmp-tools (= ${Source-Version})
Description: Libraries and header files for developing TinySNMP plugins
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains files needed if you wish to create agent modules
 for the tinysnmp agent.

Package: tinysnmp-agent
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Recommends: tinysnmp-module-interfaces (= ${Source-Version}), tinysnmp-module-resources (= ${Source-Version})
Suggests: tinysnmp-module-ups (= ${Source-Version}), tinysnmp-tools (= ${Source-Version})
Conflicts: tinysnmp-module-mib2
Replaces: tinysnmp-module-mib2
Description: A lightweight SNMPv1 implementation
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains the tinysnmp agent daemon.

Package: tinysnmp-module-interfaces
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (= ${Source-Version})
Description: Interfaces MIB module for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This module is used to describe generic objects for network
 interface sub-layers as defined in the IETF Interfaces MIB.

Package: tinysnmp-module-resources
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (= ${Source-Version})
Description: Frogfoot Networks Resources MIB plugin for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This module is used to describe host resources such as memory,
 storage space, and processor load as defined in the Frogfoot
 Networks Resources MIB.
 .
 The Frogfoot Networks Resources MIB is similar to the IETF Host
 Resources MIB, but does not have per-process statistics (but it
 does have overall processor load statistics which is not present
 in the IETF Host Resources MIB).

Package: tinysnmp-module-ups
Architecture: any
Section: net
Depends: ${shlibs:Depends}, apcupsd, tinysnmp-agent (= ${Source-Version})
Description: UPS MIB module for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This module is used to describe Uninterruptible Power Supplies as
 defined in the IETF UPS MIB.
 .
 Only APC UPS's are currently supported.

Package: tinysnmp-module-dvb
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (= ${Source-Version})
Description: DVB Data Receiver MIB module for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This module is used to describe DVB Data Receivers.
 .
 Only the Pent@NET and Pent@VALUE cards from Pentamedia are
 currently supported.

=== debian/rules ===
--- 
+++ 
@@ -59,13 +59,11 @@
 	dh_movefiles -a
 	dh_installdocs -a
 	dh_installexamples -a
-	dh_installlogrotate -a
 	dh_installinit -a
 	dh_installman -a
 	dh_installchangelogs -a
 	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmpgetnext
 	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmpwalk
-	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmptable
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
